# Class WebElementCondition

Defines a condition that will result in a WebElement.

#### Hierarchy

- Condition<WebElement>
  - WebElementCondition

#####
Index

### Constructors

constructor

### Methods

description
fn

## Constructors

### constructor

- new WebElementCondition(message, fn): WebElementCondition

- #### Parameters

  - ##### message: string

    A descriptive error message. Should complete the sentence 'Waiting [...]'

  - ##### fn: ConditionFn<WebElement>

    The condition function to evaluate on each iteration of the wait loop.

  #### Returns WebElementCondition

  Inherited from Condition.constructor

## Methods

### description

- description(): string

- #### Returns string

  A description of this condition.

  Inherited from Condition.description

### fn

- fn(webdriver): ConditionFn<WebElement>

- #### Parameters

  - ##### webdriver: WebDriver

  #### Returns ConditionFn<WebElement>

  Inherited from Condition.fn

Generated using TypeDoc